<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerPinjamanKaryawan extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 1) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_owner/insert_model');
        $this->load->model('bagian_owner/select_model');
        $this->load->model('bagian_owner/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }

    public function pengajuan_pinjaman()
    {
        // Notifikasi
        $notif                     = $this->notifikasi->notif_owner();
        $data_login                = $this->userlogin->user_login('isloggedin');
        $data_id_login             = $this->session->userdata('isloggedin');
        $tampil_tahun              = $this->select_model->getDataTahunTransaksi();
        // TAmpilakan data pinjaman karyawan
        $data_kontrak = $this->select_model->vd_karyawanPengajuan();
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'koperasi/pinjaman_karyawan/pengajuan',
            'page'                => 'index',
            'judul'               => 'Daftar Laporan Pinjaman Koperasi || Bagian Pengurus',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            'tampil_tahun'        => $tampil_tahun,
            // Isi data
        );
        $this->load->view('owner/index', $data);
    }
}

/* End of file ControllerPinjamanKaryawan.php and path \application\controllers\owner\koperasi\ControllerPinjamanKaryawan.php */